Main Page Widgets glibmm Namespaces Book

# Glib::ValueBase_Flags Class Reference
[Generic Values]

Inheritance diagram for Glib::ValueBase_Flags:

[legend]

List of all members.

## Public Types

typedef guint | CType

## Static Public Member Functions

static GType | value_type () G_GNUC_CONST

## Protected Member Functions

void | set_flags (unsigned int data)
unsigned int | get_flags () const

## Member Typedef Documentation

typedef guint Glib::ValueBase_Flags::CType

## Member Function Documentation

static GType Glib::ValueBase_Flags::value_type | ( |  | ) | `[static]`

void Glib::ValueBase_Flags::set_flags | ( | unsigned int | data | ) | `[protected]`

Referenced by Glib::Value_Flags<T>::set().

unsigned int Glib::ValueBase_Flags::get_flags | ( |  | ) | const`[protected]`

Referenced by Glib::Value_Flags<T>::get().

The documentation for this class was generated from the following file:

- value.h